| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | List of all members
Digikam::MetadataListView Class Reference
Inheritance diagram for Digikam::MetadataListView:

## Public Slots
void | slotSearchTextChanged (const SearchTextSettings &)

## Signals
void | signalTextFilterMatch (bool)

## Public Member Functions
| MetadataListView (QWidget *const parent)
QString | getCurrentItemKey () const
void | setCurrentItemByKey (const QString &itemKey)
void | setIfdList (const DMetadata::MetaDataMap &ifds, const QStringList &keysFilter, const QStringList &tagsFilter)
void | setIfdList (const DMetadata::MetaDataMap &ifds, const QStringList &tagsFilter)